import 'package:flutter/material.dart';
import 'package:responsive_demo/demo_split_tow.dart';

void main() {
  runApp(const XinlakeResponsiveDemo());
}

class XinlakeResponsiveDemo extends StatelessWidget {
  const XinlakeResponsiveDemo({Key? key}) : super(key: key);

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Xinlake-Responsive Demo',
      theme: ThemeData(
        // This is the theme of your application.
        //
        // Try running your application with "flutter run". You'll see the
        // application has a blue toolbar. Then, without quitting the app, try
        // changing the primarySwatch below to Colors.green and then invoke
        // "hot reload" (press "r" in the console where you ran "flutter run",
        // or simply save your changes to "hot reload" in a Flutter IDE).
        // Notice that the counter didn't reset back to zero; the application
        // is not restarted.

        primaryColor: Colors.teal,
        brightness: Brightness.dark,
        errorColor: Colors.deepOrange,
      ),
      home: const _DemoPage(),
    );
  }
}

class _DemoPage extends StatefulWidget {
  const _DemoPage({Key? key}) : super(key: key);

  @override
  State<_DemoPage> createState() => _DemoState();
}

class _DemoState extends State<_DemoPage> {
  static const _demos = [
    "SplitTwo",
  ];

  String _demoTitle = _demos[0];

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(_demoTitle),
      ),
      body: Builder(
        builder: (context) {
          switch (_demoTitle) {
            case "SplitTwo":
              return const SplitTwoDemo();
            default:
              return const Center(child: Text("Xinlake-Responsive Demo"));
          }
        },
      ),
      drawer: Drawer(
        child: ListView(padding: EdgeInsets.zero, children: [
          Container(
            padding: const EdgeInsets.all(10),
            alignment: Alignment.center,
            child: Text(
              'Xinlake-Responsive',
              style: Theme.of(context).textTheme.headline6,
            ),
          ),
          ..._demos.map((item) {
            return TextButton(
              child: Padding(
                padding: const EdgeInsets.all(10),
                child: Text(item),
              ),
              onPressed: () {
                setState(() => _demoTitle = item);
                Navigator.of(context).pop();
              },
            );
          }).toList(),
        ]),
      ),
    );
  }
}
